Snapservice Tasks list

Snapservice Tasks list

Returns information about at most 1000 visible (subject to permission checks) tasks matching the Snapservice Tasks FilterSpec.

This operation was added in vSphere API 8.0.3.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
GET
https://{host}/api/snapservice/tasks
COPY
Query Parameters
string of array
tasks
Optional

Identifiers of tasks that can match the filter.

This property was added in vSphere API 8.0.3.0.

This property may be missing or null if other filters are specified. If missing or null or empty, tasks with any identifier will match the filter.

When clients pass a value of this schema as a parameter, the property must contain identifiers for the resource type: com.vmware.snapservice.task. When operations return a value of this schema as a response, the property will contain identifiers for the resource type: com.vmware.snapservice.task.

string of array
operations
Optional

Identifiers of operations. Tasks created by these operations match the filter (see Snapservice Tasks CommonInfo.operation).

This property was added in vSphere API 8.0.3.0.

If missing or null or empty, tasks associated with any operation will match the filter.

When clients pass a value of this schema as a parameter, the property must contain identifiers for the resource type: com.vmware.snapservice.operation. When operations return a value of this schema as a response, the property will contain identifiers for the resource type: com.vmware.snapservice.operation.

string of array
services
Optional

Identifiers of services. Tasks created by operations in these services match the filter (see Snapservice Tasks CommonInfo.service).

This property was added in vSphere API 8.0.3.0.

This property may be missing or null if tasks is specified. If this property is missing or null or empty, tasks for any service will match the filter.

When clients pass a value of this schema as a parameter, the property must contain identifiers for the resource type: com.vmware.snapservice.service. When operations return a value of this schema as a response, the property will contain identifiers for the resource type: com.vmware.snapservice.service.

string of array
status
Optional

Status that a task must have to match the filter (see Snapservice Tasks CommonInfo.status).

For more information see: Snapservice Tasks Status.

This property was added in vSphere API 8.0.3.0.

If missing or null or empty, tasks with any status match the filter.

string of array
users
Optional

Users who must have initiated the operation for the associated task to match the filter (see Snapservice Tasks CommonInfo.user).

This property was added in vSphere API 8.0.3.0.

If missing or null or empty, tasks associated with operations initiated by any user match the filter.


Authentication
This operation uses the following authentication methods.
Responses
200

ListResult including details of all the tasks.

Returns Snapservice Tasks ListResult of type(s) application/json
{
    "items": [
        {
            "task": "string",
            "info": {
                "progress": {
                    "total": 0,
                    "completed": 0,
                    "message": {
                        "id": "string",
                        "default_message": "string",
                        "args": [
                            "string"
                        ],
                        "params": {
                            "params": {
                                "s": "string",
                                "dt": "string",
                                "i": 0,
                                "d": "number",
                                "l": {
                                    "id": "string",
                                    "params": {
                                        "params": "Vapi Std LocalizationParam Object"
                                    }
                                },
                                "format": "string",
                                "precision": 0
                            }
                        },
                        "localized": "string"
                    }
                },
                "vc_task": "string",
                "description": {
                    "id": "string",
                    "default_message": "string",
                    "args": [
                        "string"
                    ],
                    "params": {
                        "params": {
                            "s": "string",
                            "dt": "string",
                            "i": 0,
                            "d": "number",
                            "l": "Vapi Std NestedLocalizableMessage Object",
                            "format": "string",
                            "precision": 0
                        }
                    },
                    "localized": "string"
                },
                "service": "string",
                "operation": "string",
                "parent": "string",
                "target": {
                    "type": "string",
                    "id": "string"
                },
                "status": "string",
                "cancelable": false,
                "error": {},
                "start_time": "string",
                "end_time": "string",
                "user": "string"
            }
        }
    ]
}
array of object
items
Required

List of tasks.

This property was added in vSphere API 8.0.3.0.


400

if any of the specified parameters are invalid.

Returns Vapi Std Errors InvalidArgument of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

401

if the user can not be authenticated.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


403

if the user doesn't have the required privileges.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


500

Vapi Std Errors Error if the system reports an error while responding to the request.

Vapi Std Errors ResourceInaccessible if a task's state cannot be accessed or over 1000 tasks matching the Snapservice Tasks FilterSpec.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


503

if the system is unable to communicate with a service to complete the request.

Returns Vapi Std Errors ServiceUnavailable of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/snapservice/tasks